Texa DeskDevelopers

Texa Desk Application API · Help center

Add a new article

POST/api/v1/accounts/{account_id}/portals/{id}/articles

Add a new article to portal

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The numeric ID of the account

idstringrequired

The slug identifier of the portal

Body application/json

titlestring

The title of the article

slugstring

The slug of the article

positioninteger

article position in category

contentstring

The text content.

descriptionstring

The description of the article

category_idinteger

The category id of the article

author_idinteger

The author agent id of the article

associated_article_idinteger

To associate similar articles to each other, e.g to provide the link for the reference.

statusinteger

The status of the article. 0 for draft, 1 for published, 2 for archived

localestring

The locale of the article

metaobject

Use for search

Responses

200

Success

idinteger
contentstring

The text content.

metaobject
positioninteger
statusinteger

One of: draft, published, archived.

titlestring
slugstring
viewsinteger
portal_idinteger
account_idinteger
author_idinteger
category_idinteger
folder_idinteger
associated_article_idinteger

To associate similar articles to each other, e.g to provide the link for the reference.

403

Access denied

descriptionstring
errorsarray of object
errors[].fieldstring
errors[].messagestring
errors[].codestring